summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Azure Zanculmarktum2018-11-08 11:58:04 +0100
committer Willy Sudiarto Raharjo2018-11-10 01:46:58 +0100
commit7aa94410990b77926ebc61aa9a5ec111a17b7c0a (patch)
tree14af8f62e91665629c8875cc097b0a4ab1cd7197
parent67049367c2a4fceb72cf73331b51aa6081fafb76 (diff)
downloadslackbuilds-7aa94410990b77926ebc61aa9a5ec111a17b7c0a.tar.gz
system/fira-code-fonts: Added (monospaced font with ligatures).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/fira-code-fonts/README6
-rw-r--r--system/fira-code-fonts/doinst.sh14
-rw-r--r--system/fira-code-fonts/fira-code-fonts.SlackBuild67
-rw-r--r--system/fira-code-fonts/fira-code-fonts.info10
-rw-r--r--system/fira-code-fonts/slack-desc19
5 files changed, 116 insertions, 0 deletions
diff --git a/system/fira-code-fonts/README b/system/fira-code-fonts/README
new file mode 100644
index 0000000000..8b81567a72
--- /dev/null
+++ b/system/fira-code-fonts/README
@@ -0,0 +1,6 @@
+Fira Code is an extension of the Fira Mono font containing a set of
+ligatures for common programming multi-character combinations. This is
+just a font rendering feature: underlying code remains
+ASCII-compatible. This helps to read and understand code faster. For
+some frequent sequences like .. or //, ligatures allow us to correct
+spacing.
diff --git a/system/fira-code-fonts/doinst.sh b/system/fira-code-fonts/doinst.sh
new file mode 100644
index 0000000000..c011595ed8
--- /dev/null
+++ b/system/fira-code-fonts/doinst.sh
@@ -0,0 +1,14 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir -o -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+ ( cd /usr/share/fonts/OTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/fira-code-fonts/fira-code-fonts.SlackBuild b/system/fira-code-fonts/fira-code-fonts.SlackBuild
new file mode 100644
index 0000000000..9e67b8e0fa
--- /dev/null
+++ b/system/fira-code-fonts/fira-code-fonts.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for fira-code-fonts
+
+# Copyright 2018 Azure Zanculmarktum <zanculmarktum@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fira-code-fonts
+SRCNAM=FiraCode
+VERSION=${VERSION:-1.206}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+mv distr/ttf/*.ttf $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/share/fonts/OTF
+mv distr/otf/*.otf $PKG/usr/share/fonts/OTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -p CHANGELOG.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/fira-code-fonts/fira-code-fonts.info b/system/fira-code-fonts/fira-code-fonts.info
new file mode 100644
index 0000000000..6d4c3b0c63
--- /dev/null
+++ b/system/fira-code-fonts/fira-code-fonts.info
@@ -0,0 +1,10 @@
+PRGNAM="fira-code-fonts"
+VERSION="1.206"
+HOMEPAGE="https://github.com/tonsky/FiraCode"
+DOWNLOAD="https://github.com/tonsky/FiraCode/archive/1.206/FiraCode-1.206.tar.gz"
+MD5SUM="3df0bc5027ded7db125e3733fca2a81e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Azure Zanculmarktum"
+EMAIL="zanculmarktum@gmail.com"
diff --git a/system/fira-code-fonts/slack-desc b/system/fira-code-fonts/slack-desc
new file mode 100644
index 0000000000..5b9ae9173f
--- /dev/null
+++ b/system/fira-code-fonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fira-code-fonts: fira-code-fonts (monospaced font with programming ligatures)
+fira-code-fonts:
+fira-code-fonts: Fira Code is an extension of the Fira Mono font containing a set of
+fira-code-fonts: ligatures for common programming multi-character combinations. This is
+fira-code-fonts: just a font rendering feature: underlying code remains
+fira-code-fonts: ASCII-compatible. This helps to read and understand code faster. For
+fira-code-fonts: some frequent sequences like .. or //, ligatures allow us to correct
+fira-code-fonts: spacing.
+fira-code-fonts:
+fira-code-fonts:
+fira-code-fonts: